# Stream | Checkpoints

## Subscribing

Once the Checkpoint is subscribed, the following response will be streamed.

### Request:

```
{
  "id": 1,
  "method": "SUBSCRIBE",
  "stream": 
      {
          "name": "CHECKPOINTS",
          "full": true // used to flag whether detailed transactions is required or not
      }
}
```

{% hint style="success" %}
Have a try with below command in your terminal:

```json
{"id": 1,"method": "SUBSCRIBE","stream": {"name": "CHECKPOINTS","full": true}}
```

{% endhint %}

### Payload Response:

<pre><code>//payload
# Event stream pushed

<strong>{
</strong>  "subscription": "3427890921212938834",
  "stream": "CHECKPOINTS",
  "result": {
      "hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "number": "1500",
      "parent_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "receipts_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "state_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "timestamp": "1739760890",
      "transactions_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "size": 1,
      "transactions": [
        {
            "hash": "0x0000000000000000000000000000000000000000000000000000000000000000",

          "checkpoint_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
          "checkpoint_number": "10",
          "transaction_index": "10",

          "transaction_type": "TokenCreate",
          "data": {
              "decimals": 8,
              "master_authority": "0x0000000000000000000000000000000000000000000000000000000000000000",
              "symbol": "USDX"
          },

          "chain_id": "21210",
          "from": "0x0000000000000000000000000000000000000000000000000000000000000000",
          "fee": "10",
          "nonce": "10",

          "signature": {
            "r": "0x0000000000000000000000000000000000000000000000000000000000000000",
            "s": "0x0000000000000000000000000000000000000000000000000000000000000000",
            "v": "0x0000000000000000000000000000000000000000000000000000000000000000",
            "y_parity": true
          },
        }
      ]
    }
}
</code></pre>

## Non-Full Mode Subscription

### Request:

```
{
  "id": 1,
  "method": "SUBSCRIBE",
  "stream": 
      {
          "name": "CHECKPOINTS",
          "full": false // used to flag whether detailed transactions is required or not
      }
}
```

{% hint style="success" %}

Have a try with below command in your terminal:

<pre class="language-json"><code class="lang-json"><strong>{"id": 1,"method": "SUBSCRIBE","stream": {"name": "CHECKPOINTS","full": false}}
</strong></code></pre>

{% endhint %}

### Payload Response:

```
//payload
# Event stream pushed

{
  "subscription": "3427890921212938834",
  "stream": "CHECKPOINTS",
  "result": {
      "hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "number": "1500",
      "parent_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "receipts_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "state_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "timestamp": "1739760890",
      "transactions_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "size": 1
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.1moneynetwork.com/integrations/websocket/stream-or-checkpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
